Skip to main content
POST
Approve OAuth authorization

Authorizations

better-auth.session_token
string
cookie
required

Body

application/json
client_id
string
required
code_challenge
string
required
csrf_token
string
required

The csrf_token GET /oauth/authorize put in the consent URL. It must match the oauth_csrf cookie.

redirect_uri
string<uri>
required
code_challenge_method
string
default:S256
scope
string
state
string

Response

With Accept: application/json, the redirect back to the client as JSON instead of a 302.

redirect
string<uri>
required